Bug 1315458 - 'data not available' for certain capsule features
'data not available' for certain capsule features
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low (vote)
: GA
: --
Assigned To: Bryan Kearney
orabin
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 14:29 EST by Kedar Bidarkar
Modified: 2018-02-21 11:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:51:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
capsule services (32.13 KB, image/png)
2017-08-30 14:59 EDT, orabin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18433 None None None 2017-02-08 17:05 EST

  None (edit)
Description Kedar Bidarkar 2016-03-07 14:29:30 EST
Created attachment 1133898 [details]
features oscap templates bmc show data not available

Description of problem:
For capsule features like OSCAP, BMC, TEMPLATES we see "data not available" under the services tab of the capsule show page.

Version-Release number of selected component (if applicable):
Sat6.2.0-Beta-SNAP2

How reproducible:


Steps to Reproduce:
1. configure features like OSCPA, BMC, Templates
2. check these services under the services tab of the capsule show page.
3.

Actual results:
Capsule features do not provide any info about these and just state "data not available" 

Expected results:

We should either provide complete data or remove these entries from being displayed at all.

Additional info:
Comment 2 Brad Buckingham 2016-03-08 13:58:17 EST
We could remove the "Data not available" for the services; however, I would think that including the feature with at least the version information is useful.  Assigning to Shlomi to evaluate.
Comment 3 pm-sat@redhat.com 2017-02-08 17:05:40 EST
Created redmine issue http://projects.theforeman.org/issues/18433 from this bug
Comment 4 pm-sat@redhat.com 2017-02-12 04:08:48 EST
Upstream bug assigned to bkearney@redhat.com
Comment 5 pm-sat@redhat.com 2017-02-12 04:08:51 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18433 has been resolved.
Comment 6 orabin 2017-08-30 14:59 EDT
Created attachment 1320263 [details]
capsule services
Comment 7 orabin 2017-08-30 15:00:42 EDT
Verified.
Version Tested: Satellite-6.3 Snap 13.

Steps to verify:
1. Enable services Openscap, BMC, Templates on capsule
2. Refresh features for the capsule
3. Go to Services tab in the capsule and view services

Screenshot attached.
Comment 8 pm-sat@redhat.com 2018-02-21 11:51:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.